Loading ...
Sorry, an error occurred while loading the content.

Re: Patch 7.2.368

Expand Messages
  • Yongwei Wu
    ... Any updates on this one? Ruby support failed for me too (MSVC on Windows). I tried upgrading to Ruby 1.9.1, but it seems it does not support MSVC yet.
    Message 1 of 6 , Feb 25 12:59 AM
    • 0 Attachment
      On 2月19日, 上午7时59分, Cesar <cesar.rom...@...> wrote:
      > On Feb 18, 2:22 pm, Bram Moolenaar <B...@...> wrote:
      >
      >
      >
      >
      >
      > > Steve Hall wrote:
      > > > From: Bram Moolenaar, Thu, February 18, 2010 9:53 am
      >
      > > > > Patch 7.2.368 (after 7.2.361)
      > > > > Problem: Ruby interface: Appending line doesn't work. (Michael Henry)
      > > > > Solution: Reverse check for NULL line. (James Vega)
      > > > > Files: src/if_ruby.c
      >
      > > > Build fails for me on WinXP-32 via Cygwin:
      >
      > > > Warning: .drectve `-defaultlib:MSVCRT ' unrecognized
      > > > Warning: .drectve `-defaultlib:OLDNAMES ' unrecognized
      > > > gobj/if_ruby.o:if_ruby.c:(.text+0x9b5): undefined reference to
      > > > `_rb_string_value_ptr'
      > > > gobj/if_ruby.o:if_ruby.c:(.text+0xae3): undefined reference to
      > > > `_rb_string_value_ptr'
      > > > gobj/if_ruby.o:if_ruby.c:(.text+0xb0d): undefined reference to
      > > > `_rb_string_value_ptr'
      > > > gobj/if_ruby.o:if_ruby.c:(.text+0xb33): undefined reference to
      > > > `_rb_string_value_ptr'
      > > > gobj/if_ruby.o:if_ruby.c:(.text+0xe30): undefined reference to
      > > > `_rb_string_value_ptr'
      > > > gobj/if_ruby.o:if_ruby.c:(.text+0x104f): more undefined references to
      > > > `_rb_string_value_ptr' follow
      > > > collect2: ld returned 1 exit status
      > > > make: *** [gvim.exe] Error 1
      >
      > > Strange, patches 7.2.361 and 7.2.368 don't include "string_value".
      >
      > > This did get added:
      >
      > > + #ifndef StringValuePtr
      > > + # define StringValuePtr(s) STR2CSTR(s)
      > > + #endif
      >
      > > Does that give a hint?
      >
      > I had vim 7.2.360 installed on Win XP via mingw, and by updating to
      > the last
      > patch I get the same error, even deleting those three lines.

      Any updates on this one? Ruby support failed for me too (MSVC on
      Windows). I tried upgrading to Ruby 1.9.1, but it seems it does not
      support MSVC yet. Currently I could only build a version without Ruby
      support on Windows.

      (I don't personally use Ruby, but I would like to provide a full-
      featured Vim binary for distribution.)

      Best regards,

      Yongwei

      --
      You received this message from the "vim_dev" maillist.
      For more information, visit http://www.vim.org/maillist.php
    Your message has been successfully submitted and would be delivered to recipients shortly.